#!/bin/sh
# test.sh MOUNT UMOUNT NUMUSERS
#
# This file defines the parameters for the SPEC test run of 073.iobenchp

# All parameters are the same as the reference run, EXCEPT no mounting
# and unmount is done;  thus, the MOUNT and UMOUNT parameters are ignored

# The number of files (FILES), file length (FILELEN), number of mounts
# (MOUNTS), and FILEi, DEVICEi, and DIRi are defined in file spec.input,
# which was created by gen_parms.sh. 

export FILES USERS NRECS RECLEN LOCKS SLEEP START END DURATION WORK READS WRITES
export SYSTEM MEMORY BUFFERS CONTROLLERS TRANS MOUNTS

NUMUSERS=$3
shift 3

echo Removing old output files, ignore possible error message

rm test*.log test*.out test*.err

#
# Following values are same for ALL runs
#

SLEEP=1
LOCKS=0
START=0
END=0 
READS=2
WRITES=1
WORK=0
DURATION=120
MOUNTS=0
#
RUN=0

for USERS in $NUMUSERS
do	for RECLEN in 100 4096 8192
	do
	        RUN=`expr $RUN + 1`
		OF=test$RUN
		echo `date` : Running $OF, $USERS users, $RECLEN record length >/dev/tty
		./iobench -l -t -a -ssummary -o$OF >$OF.out 2>>$OF.err spec.input
		code=$?
		if [ $code -ne "0" ]
		then	echo There were errors in $OF, error log follows: >/dev/tty
			echo "*************************************" >/dev/tty
			cat $OF.err >/dev/tty
			echo "*************************************" >/dev/tty
			echo Rest of tests in this run will be skipped >/dev/tty
			echo INVALID RESULTS, $OF failed >>summary
			exit $code
		fi
	done
done

exit 0
