/* iodefaults.h
/* Copyright (c) 1988, Prime Computer, Inc., Natick, MA 01760
/*                     All Rights Reserved
*/

/* Default settings for run parameters.  These are the values that
   are used if alternates are not specified via environment or by
   the control file.

   Initial Version:     22 Februrary 1989 by Barry Wolman

          Modified:     18 May 1990 by Barry Wolman
              1. DEFAULT_LOCKS = 0 as default

          Modified:     27 June 1990 by Barry Wolman
              1. Added parameters for timed runs, DEFAULT_FILELEN, ...
              2. All times now kept in seconds
*/

#define TIMED_RUN            0
#define COUNTED_RUN          1

#define DEFAULT_RUNID        0
#define DEFAULT_RUNTYPE      TIMED_RUN
#define DEFAULT_FILES        4
#define DEFAULT_NRECS        1024
#define DEFAULT_RECLEN       2048
#define DEFAULT_FILELEN      (DEFAULT_RECLEN*DEFAULT_NRECS)
#define DEFAULT_USERS        4
#define DEFAULT_WORK         0
#define DEFAULT_READS        1
#define DEFAULT_WRITES       1
#define DEFAULT_TRANS        1000
#define DEFAULT_LOCKS        0
#define DEFAULT_SLEEP        0
#define DEFAULT_START        60
#define DEFAULT_END          60
#define DEFAULT_DURATION     60
#define DEFAULT_MOUNTS       0

#define NOMINAL_TPS          20
