/* ioserver.h
/* Copyright (c) 1988, Prime Computer, Inc., Natick, MA 01760
/*                     All Rights Reserved
*/

/* Declarations for communication with ioserver

   Initial Version: 19 May 1989 by Barry Wolman
*/

#if UNIX
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>

#define INKEY      75        /* Arbitrary keys, change as needed */
#define OUTKEY     76

#define MSGITEMS   5         /* Number of items in a message.  Note,
                                must be at least 5 so that msgtime
                                overlay (see below) is valid */

struct msgstruct {
         long      mtype;
         long      mitem[MSGITEMS];
         };

struct msgtime {
         long      mtype;
         long      mstatus;
         double    usert,syst;
         };

#define RECEIVE(q,x,y) msgrcv(q,&x,sizeof(x.mitem),y,0)

#define SEND(q,x) msgsnd(q,&x,sizeof(x.mitem),0)


#define INIT_SERVER_MSG      1
#define INIT_LOCK_MSG        2
#define LOCK_MSG             3
#define UNLOCK_MSG           4
#define LOCK_INFO_MSG        5
#define LOCK_ERRORS_MSG      6
#define TERM_LOCK_MSG        7
#define SERVER_TIMES_MSG     8
#define TERM_SERVER_MSG      9

extern struct msgstruct smsg,rmsg;                    /* Set in main */

#endif

extern int smsgid,rmsgid,mypid,lockerpid,user;        /* .. */
extern int serverpid;                                 /* .. */
