/* genseeds.c
/* Copyright (c) 1990, Prime Computer, Inc., Natick, MNA 01760
/*                     All Rights Reserved
*/

/* This program generates seeds for use with IOBENCH.  The nth line of
   output is the seed to be used for iouser process number n.

   Usage:	genseeds [n] >ioseeds

   The nth generated seed is the seed associated with the kth random
   number where k = n * MULTIPLIER

   Standard output contains a line specifying number of seeds, followed
   by one seed per line.

   Initial Version:  8 November 1990 by Barry Wolman

          Modified: 27 November 1990 by Barry Wolman
               1. Add explicit exit(0)

          Modified: 7 December 1990 by Barry Wolman
               1. Switched to non-quadratic formula

*/

#include <stdio.h>

#define DEFAULT_NUMBER	100
#define MULTIPLIER	100000
#define MODULOUS	10

double random();
long getseed();

int debug = 0;

main(argc,argv)
char **argv;
	{
	int count,number,i,n;

	number = argc < 2 ? DEFAULT_NUMBER : atol(argv[1]);

	fprintf(stderr,"Generating %d seeds\n",number);
	printf("%d\n",number);
	count = 0;
	for (i = 0; i < number; i++) {
		if (i % MODULOUS == 0) fprintf(stderr,"%d\n",i);
		if (debug) printf("%d\t%d\t%d\n",i,count,getseed());
		else printf("%d\n",getseed());
		n = (i+1) * MULTIPLIER;
		while(++count < n) random();
		}

	exit(0);
	}
