#!/bin/sh
# gen_parms NFILES FILELEN FILENAME DEVS DIRS
#
# Adapted from Bob Novack's mount_disks.sh
# This variant of gen_parms.sh is used for the test run where mounting &
# unmount isn't required.  Note: DEVS and DIRS are quoted strings.  DEVS
# is ignored.

# This version REQUIRES that the NFILES paramter be 4, this is requird
# to allow a simple algorithm for distributing the files across the
# directories.

NFILES=$1

if [ $NFILES -ne 4 ]
then
	echo "***" Number of files must be 4.  Sorry, I "can't" proceed. >/dev/tty
	echo "***" >/dev/tty
	exit 1
fi

shift
echo FILES=$NFILES ";"

echo FILELEN=$1 ";"
shift

echo "MOUNTS=0;"

FILENAME=$1
shift

I="0"
next=0
for DIR in $2
do
	case $I in
		0)	DIR0=$DIR ;;
		1)	DIR1=$DIR ;;
		2)	DIR2=$DIR ;;
		*)	DIR3=$DIR ;;
	esac
	I=`expr $I + 1`
done

case $I in

1)	echo FILE0=$DIR0/${FILENAME}0 ";"
	echo FILE1=$DIR0/${FILENAME}1 ";"
	echo FILE2=$DIR0/${FILENAME}2 ";"
	echo FILE3=$DIR0/${FILENAME}3 ";"
	;;

2)	echo FILE0=$DIR0/${FILENAME}0 ";"
	echo FILE1=$DIR0/${FILENAME}1 ";"
	echo FILE2=$DIR1/${FILENAME}2 ";"
	echo FILE3=$DIR1/${FILENAME}3 ";"
	;;

3)	echo FILE0=$DIR0/${FILENAME}0 ";"
	echo FILE1=$DIR1/${FILENAME}1 ";"
	echo FILE2=$DIR2/${FILENAME}2 ";"
	echo FILE3=$DIR2/${FILENAME}3 ";"
	;;

*)	echo FILE0=$DIR0/${FILENAME}0 ";"
	echo FILE1=$DIR1/${FILENAME}1 ";"
	echo FILE2=$DIR2/${FILENAME}2 ";"
	echo FILE3=$DIR3/${FILENAME}3 ";"
	;;
esac


