/* iolocks.h
/* Copyright (c) 1988, Prime Computer, Inc., Natick, MA 01760
/*                     All Rights Reserved
*/


/* Locks include file for IO benchmark */

#ifndef REALLOCKING
typedef char iolock_t;
#define LOCK(p) *(p) = 1
#define CLOCK(p) (*(p) ? 0 : (*(p) = 1))
#define UNLOCK(p) *(p) = 0
#define IS_LOCKED(p) (*(p))
#define INIT_LOCK(p) *(p) = 0
#else
#if PRIMOS
typedef short iolock_t;
fortran short CLOCK(),UNLOCK();
fortran void LOCK();
#define IS_LOCKED(p) (*p)
#define INIT_LOCK(p) *(p) = 0
#endif

#ifdef I386
typedef char iolock_t;
#include "i386locks.h"
#define IS_LOCKED(p) (*p)
#endif

#ifdef M68K
typedef char iolock_t;
int CLOCK(),UNLOCK();
void LOCK();
#define IS_LOCKED(p) (*(p)<0)
#endif

#ifdef BiiN
typedef int iolock_t;
extern void LOCK();
extern void UNLOCK();
extern int CLOCK();
#define INIT_LOCK(lp) UNLOCK(lp)
#define IS_LOCKED(p) (*p)
#endif

#ifdef MIPS
typedef char iolock_t;
#include "mipslocks.h"
#define IS_LOCKED(p) (*p)
#define INIT_LOCK(p) *(p) = 0
#endif
#endif

